com.holonplatform.reactor.spring.internal

## Class WebClientReactiveRestClientFactory

- java.lang.Object
- - com.holonplatform.reactor.spring.internal.WebClientReactiveRestClientFactory

- All Implemented Interfaces:
    ReactiveRestClientFactory

      public class WebClientReactiveRestClientFactory
      extends Object
      implements ReactiveRestClientFactory

  A `ReactiveRestClientFactory` to provide `SpringReactiveRestClient` instances.
  Since:
    5.2.0

- - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.reactor.http.ReactiveRestClientFactory

      `DEFAULT_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebClientReactiveRestClientFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReactiveRestClient` | `create(ClassLoader classLoader)` Create a new `ReactiveRestClient` instance.
    `Class<?>` | `getRestClientImplementationClass()` Get the `ReactiveRestClient` implementation class returned by this factory.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebClientReactiveRestClientFactory

          public WebClientReactiveRestClientFactory()

  - ### Method Detail

    - #### getRestClientImplementationClass

          public Class<?> getRestClientImplementationClass()

      Description copied from interface: `ReactiveRestClientFactory`
      Get the `ReactiveRestClient` implementation class returned by this factory.
      Specified by:
        `getRestClientImplementationClass` in interface `ReactiveRestClientFactory`
      Returns:
        the `ReactiveRestClient` implementation class

    - #### create

          public ReactiveRestClient create(ClassLoader classLoader)
                                    throws com.holonplatform.http.exceptions.RestClientCreationException

      Description copied from interface: `ReactiveRestClientFactory`
      Create a new `ReactiveRestClient` instance.
      Specified by:
        `create` in interface `ReactiveRestClientFactory`
      Parameters:
        `classLoader` - The `ClassLoader` for which the instance creation is requested
      Returns:
        A new `ReactiveRestClient` instance
      Throws:
        `com.holonplatform.http.exceptions.RestClientCreationException` - If an error occurred

Copyright © 2019 The Holon Platform. All rights reserved.